Skip to main content
GET
Get a work order

Authorizations

Authorization
string
header
required

Paste an access token from Create an access token. Tokens expire, so request a new one if you receive 401.

Path Parameters

buildingId
string
required

Building identifier from List buildings.

workOrderId
string
required

Work order identifier.

Response

The work order.

id
string
Example:

"6702c4e1b8a3f21d9c0e4a17"

identifier
string

Human-readable work order number.

Example:

"WO-1042"

createdAt
string
Example:

"2026-10-07T14:02:11+0000"

updatedAt
string
Example:

"2026-10-07T14:02:11+0000"

status
enum<string>
Available options:
OPEN,
IN_PROGRESS,
FOR_REVIEW,
ON_HOLD,
COMPLETED,
CANCELLED,
FAILED
Example:

"OPEN"

workType
enum<string>
Available options:
PM,
INSPECTION,
CORRECTIVE_MAINTENANCE,
SERVICE_REQUEST,
COMPLIANCE_MAINTENANCE
Example:

"CORRECTIVE_MAINTENANCE"

title
string
Example:

"Replace AHU-01 supply fan belt"

description
string
Example:

"Belt is worn and slipping during morning startup."

startDate
string
Example:

"2026-10-08T09:00:00"

dueDate
string
Example:

"2026-10-10T17:00:00"

completedDate
string | null
Example:

null

linkedSource
object
totalLogHours
object
statusLogs
object[]
furtherReview
boolean
Example:

false

assignees
object[]